Search Available Phone Numbers
curl --request POST \
--url https://dev.voice.ai/api/v1/agent/search-phone-numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country_code": "US",
"area_code": "<string>",
"provider": "twilio"
}
'import requests
url = "https://dev.voice.ai/api/v1/agent/search-phone-numbers"
payload = {
"country_code": "US",
"area_code": "<string>",
"provider": "twilio"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({country_code: 'US', area_code: '<string>', provider: 'twilio'})
};
fetch('https://dev.voice.ai/api/v1/agent/search-phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"phone_number": "<string>",
"country_code": "<string>",
"locality": "<string>",
"region": "<string>"
}
],
"total_results": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Phone Number Management
Search Available Phone Numbers
Search available phone numbers that you can select to fill your allocated plan slots.
POST
/
api
/
v1
/
agent
/
search-phone-numbers
Search Available Phone Numbers
Authorizations
Bearer token authentication. Use your API key as the bearer token. Format: Authorization: Bearer
Body
application/json
⌘I